import * as i0 from '@angular/core';
import { NgModule, Injectable } from '@angular/core';
import { CommonModule } from '@angular/common';
import * as i1 from '@angular/router';
import { RouterModule } from '@angular/router';

/**
 * Responsible for adding Library configuration as a provider in the root,
 * so that all library modules can use it, if needed. This module should be imported in App module with .forRoot().
 * @date 17/3/2022 - 7:58:51 pm
 *
 * @export
 * @class AppConfigModule
 * @typedef {AppConfigModule}
 */
class AppConfigModule {
    constructor() { }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.1.0", ngImport: i0, type: AppConfigModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.1.0", ngImport: i0, type: AppConfigModule, imports: [CommonModule,
            RouterModule] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.1.0", ngImport: i0, type: AppConfigModule, imports: [CommonModule,
            RouterModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.1.0", ngImport: i0, type: AppConfigModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [],
                    providers: [],
                    imports: [
                        CommonModule,
                        RouterModule,
                    ],
                    exports: [],
                }]
        }], ctorParameters: function () { return []; } });

class AppConfigService {
    constructor(router) {
        this.router = router;
        this._appConfig = null;
    }
    get config() {
        return this._appConfig;
    }
    set config(v) {
        this._appConfig = v;
    }
    get openai() {
        return this._appConfig.openai;
    }
    set openai(v) {
        this._appConfig.openai = v;
    }
    get firebase() {
        return this._appConfig.firebase;
    }
    set firebase(v) {
        this._appConfig.firebase = v;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.1.0", ngImport: i0, type: AppConfigService, deps: [{ token: i1.Router }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.1.0", ngImport: i0, type: AppConfigService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.1.0", ngImport: i0, type: AppConfigService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return [{ type: i1.Router }]; } });

// Export all exposable angular assets from ./src folder, like components, services, pipes, directives etc.

/**
 * Generated bundle index. Do not edit.
 */

export { AppConfigModule, AppConfigService };
//# sourceMappingURL=annuadvent-ngx-core-app-config.mjs.map
